// launch with the calories program

// name
"localhost" => string hostname;
8888 => int port;

// check command line
if( me.args() ) me.arg(0) => hostname;
if( me.args() > 1 ) me.arg(1) => Std.atoi => port;

// send object
OscSend xmit;

// aim the transmitter
xmit.setHost( hostname, port );

// infinite time loop
while( true )
{
    int i; float f;

    // start the message...
    xmit.startMsg( "/calories/update", "i" );

    // a message is kicked as soon as it is complete 
    1 => xmit.addInt;

    // advance time
    0.05::second => now;
}
